Subject: Re: [PATCH] Added sub get_owner_file which checks if there's a file with project owner name

From: Jakub Narebski <[email-masked]>
Date: Tue, 29 Jan 2008 19:27:00 +0100

On Tue, 29 Jan 2008, Bruno Cesar Ribas wrote:
> On Tue, Jan 29, 2008 at 04:28:19PM +0100, Jakub Narebski wrote:

[cut]

By the way, can I ask you to remove the parts of quoted email you
do not reply to? It means leave only those parts you answer. It makes
following the flow of discussion easier. TIA.
 
>> By the way, I have forgot to ask you to add description of new 'owner'
>> file to "Per-repository gitweb configuration" section in gitweb/README
> 
> I'm on the way to add description of 'owner' file, before commint should I
> implement gitweb.owner too? then that README comes with two way of seting
> owner. Or let only owner file for now?

If you add also implementation of gitweb.owner support (following
for example git_get_project_description), then mention it in
description of 'owner' file in gitweb/README. If you don't, just
explain about 'owner'.

Relevant fragment of gitweb/README you can follow:

 * description (or gitweb.description)
   Short (shortened by default to 25 characters in the projects list page)
   single line description of a project (of a repository). Plain text file;
   HTML will be escaped. By default set to
     Unnamed repository; edit this file to name it for gitweb.
   from the template during creating repository. You can use
   gitweb.description repo configuration variable, but the file takes
   precendence.

Describe format, fallback to gitweb.owner, then fallback to directory
owner (filesystem).

>>> I even made another patch about cloneURL, instead of looking for inside files
>>> and stuff, i made gitweb.conf a variable that says:
>>> - If i have a prefix path for HTTP,SSH,GIT[protocol]
>>> Then if this variable is set gitweb only mounts... like
>>> HTTPPREFIX="http://git.c3sl.ufpr.br/pub/scm"
>>> and gitweb sets it to $HTTPREFIX/$project
>>> 
>>> I made this because I don't want to set each project it's clone URL, so this 
>>> makes thing easier! What do you think?
>> 
>> I hope that this hack predates latest improvements to gitweb/README,
>> as you have just reimplemented GITWEB_BASE_URL build configuration
>> variable (only single base URL), and @git_base_url_list, which you
>> can set in gitweb config file (by default gitweb_config.perl).
> 
> Ok, I'll check recent version of gitweb and i'll send this commit
> if relevant =)

I think the change described above doesn't add any new functionality.

[cut]
-- 
Jakub Narebski
Poland